cnid_index(1)

NAME
cnid_index - check and repair Netatalk CNID database indexes

SYNOPSIS
cnid_index dbdir

DESCRIPTION
cnid_index is a utility to check CNID databases for consistency. If needed, the indexes are repaired. It works for databases created by the cdb and dbd backends.

Volumes usind the dbd CNID scheme can also be checked automatically, for further information please see the cnid_dbd(8) man page.
    Warning

    When using cnid_index on cdb handled databases, cnid_index cannot check if another process (afpd) accesses the CNID databases. In this case, you have to manually ensure no other process accesses the database when running cnid_index.

SEE ALSO
cnid_dbd(8), afpd(8)